using compabetov2.database;
using compabetov2.database.modelos;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace compabetov2
{
    public partial class personal : Form
    {
        public personal()
        {
            InitializeComponent();
            llenarGrid();
        }

        private void label1_Click(object sender, EventArgs e)
        {

        }

        private void button6_Click(object sender, EventArgs e)
        {
            Empleado empleado = new Empleado(
                -1,
                txtnombrepersonal.Text,
                txtapellidopersonal.Text,
                txtcallepersonal.Text,
                dtpfechapersonal.Text,
                cbestadopersonal.Text,
                txtcoloniapersonal.Text,
                txtcodigopersonal.Text,
                txtnoextpersonal.Text,
                txtnointpersonal.Text,
                txtreferenciapersonal.Text,
                dtpnacimientopersonal.Text,
                txttelefonopersonal.Text
                );

            service.insertarEmpleado( empleado );
        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void llenarGrid()
        {
            List<Empleado> empleados = service.conseguirEmpleados();
            empleados.Reverse();
           foreach(Empleado empleado in empleados)
            {
                dataGridView1.Rows.Insert(0, 
                    empleado.idempleado, 
                    empleado.nombre,
                    empleado.apellidos,
                    empleado.fecha_contratacion,
                    empleado.estado,
                    empleado.calle,
                    empleado.colonia,
                    empleado.cp,
                    empleado.no_ext,
                    empleado.no_int,
                    empleado.referencia,
                    empleado.fecha_nac, 
                    empleado.telefono);
            }
        }

        private void personal_Load(object sender, EventArgs e)
        {

        }

        private void button7_Click(object sender, EventArgs e)
        {

        }

        private void button8_Click(object sender, EventArgs e)
        {

        }
    }
}
